package com.ifavine.pay.utils;

/**
 * Created by tree on 7/4/2016.
 */

import android.util.Log;

import com.ifavine.pay.common.AppContext;


public class TLog {
    public static boolean DEBUG = AppContext.DebugModel;
    public static final String LOG_TAG = "iKettle_App";

    public static final void analytics(String paramString) {
        if (DEBUG) Log.d(LOG_TAG, paramString);
    }

    public static final void error(String paramString) {
        if (DEBUG) {
            Log.e(LOG_TAG, "" + paramString);
        }
    }

    public static final void log(String paramString) {
        if (DEBUG) Log.i(LOG_TAG, "" + paramString);
    }

    public static final void log(String paramString1, String paramString2) {
        if (DEBUG) Log.i(paramString1, "" + paramString2);
    }

    public static final void logv(String paramString) {
        if (DEBUG) Log.v(LOG_TAG, paramString);
    }

    public static final void warn(String paramString) {
        if (DEBUG) Log.w(LOG_TAG, paramString);
    }
}
